# Ogre::GLXUtils Class Reference

`#include <OgreGLXUtils.h>`

List of all members.

## Static Public Member Functions

bool | LoadIcon (Display *mDisplay, Window rootWindow, const std::string &name, Pixmap *pix, Pixmap *mask)
| Loads an icon from an Ogre resource into the X Server.
int | findBestVisual (Display *dpy, int scrnum, int multisample=-1)
GLXFBConfig | findBestMatch (Display *dpy, int scrnum, const int *attribs, const int *ideal)
| Find best FBConfig given a list required and a list of desired properties.

## Member Function Documentation

GLXFBConfig Ogre::GLXUtils::findBestMatch | ( | Display * | dpy,
|  | int | scrnum,
|  | const int * | attribs,
|  | const int * | ideal
| ) | `[static]`

| Find best FBConfig given a list required and a list of desired properties.

int Ogre::GLXUtils::findBestVisual | ( | Display * | dpy,
|  | int | scrnum,
|  | int | multisample = -1
| ) | `[static]`

bool Ogre::GLXUtils::LoadIcon | ( | Display * | mDisplay,
|  | Window | rootWindow,
|  | const std::string & | name,
|  | Pixmap * | pix,
|  | Pixmap * | mask
| ) | `[static]`

Loads an icon from an Ogre resource into the X Server.

This currently only works for 24 and 32 bit displays. The image must be findable by the Ogre resource system, and of format PF_A8R8G8B8.

Parameters:

  mDisplay,rootWindow | X resources to use
  name | Name of image to load
  pix | Receiver for the output pixmap
  mask | Receiver for the output mask (alpha bitmap)

Returns:
  true on success

The documentation for this class was generated from the following file:

- OgreGLXUtils.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:45:53 2005